<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>

    <link rel="stylesheet" th:href="@{/login.css}" href="../static/login.css"/>
    <!--    Bootstrap css    -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <!--    Bootstrap icons    -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>

<div class="container">
    <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
            <div class="card card-signin my-5">
                <div class="card-body">
                    <h5 class="card-title text-center">Sign In</h5>
                    <p>
                        <i th:if="${param.error}" style="color: red"> Wrong username or password. </i>
                    </p>
                    <p>
                        <i th:if="${param.logout}" style="color: red"> You have been logged out. </i>
                    </p>
                    <form class="form-signin" th:action="@{/authenticate}" method="post">
                        <div class="form-label-group">
                            <input type="text" id="username" name="username" class="form-control"
                                   placeholder="Email address"
                                   required autofocus>
                            <label for="username">Username</label>
                        </div>
                        <div class="form-label-group">
                            <input type="password" id="password" name="password" class="form-control"
                                   placeholder="Password"
                                   required>
                            <label for="password">Password</label>
                        </div>
                        <button class="btn btn-lg btn-primary btn-block text-uppercase" type="submit" value="Login">
                            Login
                        </button>
                        <p style="text-align: center!important;margin-top: .5rem!important;display: block!important;text-decoration: none;cursor: pointer;font-size: 80%">
                            <a id="signuplink" th:href="@{/register}">Sign Up</a>
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
